<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="pers_anwesende" columnCount="2" pageWidth="782" pageHeight="535" orientation="Landscape" columnWidth="391" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" uuid="0ac2a9db-f95f-4192-b3dc-0ae5e2410bc1">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="2.0490403660952117"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="REPORT_INFORMATION" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Informationen zum Report]]></parameterDescription>
	</parameter>
	<parameter name="REPORT_DIRECTORY" class="java.lang.String"/>
	<parameter name="P_BIS" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_VON" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_MANDANT_OBJ" class="com.lp.server.system.service.ReportMandantDto" isForPrompting="false"/>
	<parameter name="P_SQLEXEC" class="com.lp.server.util.ReportSqlExecutor">
		<parameterDescription><![CDATA[Ausführung von SQL Befehlen über die ReportConnectionUrl]]></parameterDescription>
	</parameter>
	<field name="anwesend" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="Personalnummer" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="Name" class="java.lang.String"/>
	<field name="Zeit" class="java.lang.String"/>
	<field name="Quelle" class="java.lang.String"/>
	<field name="Taetigkeit" class="java.lang.String"/>
	<variable name="abwesend" class="java.lang.Boolean">
		<variableExpression><![CDATA[Integer.parseInt($F{anwesend}) >= 4]]></variableExpression>
	</variable>
	<group name="anwesend">
		<groupExpression><![CDATA[$F{anwesend}]]></groupExpression>
		<groupHeader>
			<band height="15">
				<break type="Column">
					<reportElement x="0" y="0" width="100" height="1" uuid="d3ff37dc-d8c9-49e9-a2b8-fe2232f0753f">
						<printWhenExpression><![CDATA[!$V{abwesend} &&
Integer.parseInt($F{anwesend}) >= 4]]></printWhenExpression>
					</reportElement>
				</break>
				<textField pattern="" isBlankWhenNull="false">
					<reportElement mode="Transparent" x="0" y="1" width="120" height="14" forecolor="#000000" backcolor="#FFFFFF" uuid="f0cbbf1a-a5b8-41ee-8656-2daa366e511e">
						<printWhenExpression><![CDATA[Integer.parseInt($F{anwesend}) < 4]]></printWhenExpression>
					</reportElement>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
						<font fontName="Arial" size="10" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
						<paragraph lineSpacing="Single"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{anwesend}.startsWith("1") ? "anwesend" :
    ($F{anwesend}.startsWith("4") ? "noch keine Buchung" :
        ($F{anwesend}.startsWith("2") ? "Pause" :
            ($F{anwesend}.startsWith("3") ? "außer Haus" :
                ($F{anwesend}.startsWith("6") ? "frei" :
                "abwesend"
                )
            )
        )
    )]]></textFieldExpression>
				</textField>
				<textField pattern="" isBlankWhenNull="false">
					<reportElement mode="Transparent" x="80" y="1" width="120" height="14" forecolor="#000000" backcolor="#FFFFFF" uuid="32d5c915-e1e7-4c2d-b701-8f016034d701">
						<printWhenExpression><![CDATA[Integer.parseInt($F{anwesend}) >= 4]]></printWhenExpression>
					</reportElement>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
						<font fontName="Arial" size="10" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
						<paragraph lineSpacing="Single"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{anwesend}.startsWith("1") ? "anwesend" :
    ($F{anwesend}.startsWith("4") ? "noch keine Buchung" :
        ($F{anwesend}.startsWith("2") ? "Pause" :
            ($F{anwesend}.startsWith("3") ? "außer Haus" :
                ($F{anwesend}.startsWith("6") ? "frei" :
                "abwesend"
                )
            )
        )
    )]]></textFieldExpression>
				</textField>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="10"/>
		</groupFooter>
	</group>
	<pageHeader>
		<band splitType="Stretch">
			<printWhenExpression><![CDATA[false]]></printWhenExpression>
		</band>
	</pageHeader>
	<columnHeader>
		<band height="20">
			<staticText>
				<reportElement x="-20" y="0" width="20" height="10" isRemoveLineWhenBlank="true" uuid="a3fdf973-52a6-4e18-b408-73bea3c225aa">
					<printWhenExpression><![CDATA[false]]></printWhenExpression>
				</reportElement>
				<textElement markup="none">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Anw]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="0" width="30" height="10" isRemoveLineWhenBlank="true" uuid="c1a78967-c419-4e56-a2fa-01ef5ce04563">
					<printWhenExpression><![CDATA[Integer.parseInt($F{anwesend}) < 3]]></printWhenExpression>
				</reportElement>
				<textElement markup="none">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[PNr]]></text>
			</staticText>
			<staticText>
				<reportElement x="270" y="0" width="85" height="10" isRemoveLineWhenBlank="true" uuid="28270c8b-6436-4a05-8a94-9d06e3c67f25">
					<printWhenExpression><![CDATA[Integer.parseInt($F{anwesend}) < 3]]></printWhenExpression>
				</reportElement>
				<textElement markup="none">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Letzte Tätigkeit]]></text>
			</staticText>
			<staticText>
				<reportElement x="30" y="0" width="115" height="10" isRemoveLineWhenBlank="true" uuid="d6b630b9-c5e5-4e6b-9985-1a0c5b9a6d38">
					<printWhenExpression><![CDATA[Integer.parseInt($F{anwesend}) < 3]]></printWhenExpression>
				</reportElement>
				<textElement markup="none">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Name]]></text>
			</staticText>
			<staticText>
				<reportElement x="145" y="0" width="30" height="10" isRemoveLineWhenBlank="true" uuid="4ada60e2-3346-460d-97c6-b2ff7b5cf0de">
					<printWhenExpression><![CDATA[Integer.parseInt($F{anwesend}) < 3]]></printWhenExpression>
				</reportElement>
				<textElement markup="none">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Zeit]]></text>
			</staticText>
			<staticText>
				<reportElement x="175" y="0" width="95" height="10" isRemoveLineWhenBlank="true" uuid="f830a571-c52b-4e1a-9149-069bd79b7717">
					<printWhenExpression><![CDATA[Integer.parseInt($F{anwesend}) < 3]]></printWhenExpression>
				</reportElement>
				<textElement markup="none">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[wo gebucht]]></text>
			</staticText>
			<staticText>
				<reportElement positionType="Float" x="80" y="10" width="30" height="10" isRemoveLineWhenBlank="true" uuid="6c6fadc9-aeea-4b23-bc15-462369b4fa54">
					<printWhenExpression><![CDATA[Integer.parseInt($F{anwesend}) >= 3]]></printWhenExpression>
				</reportElement>
				<textElement markup="none">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[PNr]]></text>
			</staticText>
			<staticText>
				<reportElement positionType="Float" x="110" y="10" width="115" height="10" isRemoveLineWhenBlank="true" uuid="d8d4ffff-c064-4fce-8600-08851f2aa531">
					<printWhenExpression><![CDATA[Integer.parseInt($F{anwesend}) >= 3]]></printWhenExpression>
				</reportElement>
				<textElement markup="none">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Name]]></text>
			</staticText>
			<staticText>
				<reportElement key="InventarNr" positionType="Float" mode="Transparent" x="355" y="-10" width="30" height="20" forecolor="#000000" backcolor="#FFFFFF" uuid="6853c11b-9762-4901-92f4-6e178cc30157">
					<printWhenExpression><![CDATA[$F{anwesend}.startsWith("1")]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Left" verticalAlignment="Bottom" rotation="None" markup="none">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Maschine
Inv.Nr.]]></text>
			</staticText>
			<staticText>
				<reportElement key="T_VON" positionType="Float" mode="Transparent" x="385" y="-10" width="70" height="20" forecolor="#000000" backcolor="#FFFFFF" uuid="4ff952b3-2867-490f-aff0-7db53a41d168">
					<printWhenExpression><![CDATA[$F{anwesend}.startsWith("1")]]></printWhenExpression>
				</reportElement>
				<textElement verticalAlignment="Bottom" rotation="None" markup="none">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Maschine
läuft seit]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="24" splitType="Stretch">
			<printWhenExpression><![CDATA[Integer.parseInt($F{anwesend}) < 4]]></printWhenExpression>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement mode="Transparent" x="-20" y="0" width="20" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="c5196395-ab75-41a1-b087-7c01c58ad0cd">
					<printWhenExpression><![CDATA[false]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{anwesend}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="0" y="0" width="30" height="12" uuid="99e0a50e-c4b5-452b-8559-a85219fd9108"/>
				<textElement>
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Personalnummer}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="30" y="0" width="115" height="12" uuid="ddeb6075-379b-48fe-bba6-c7d4bcd204dc"/>
				<textElement>
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Name}.replace("Frau ","").replace("Herr ","")]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="145" y="0" width="30" height="12" uuid="8d67c4ea-d6af-4882-a991-5215c6dc1aff"/>
				<textElement>
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Zeit}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="175" y="0" width="95" height="12" uuid="8c638050-478f-4701-a1fb-cc9b16572ae3"/>
				<textElement>
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Quelle}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="270" y="0" width="120" height="12" uuid="ba87c417-4864-4c1e-8984-50469bff1e53"/>
				<textElement>
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{anwesend}.startsWith("1") ? $F{Taetigkeit} : null]]></textFieldExpression>
			</textField>
			<subreport>
				<reportElement key="Subreport_laufende Maschinen" positionType="Float" x="355" y="12" width="100" height="6" isRemoveLineWhenBlank="true" uuid="aab02f40-4737-47e2-bb26-8ccea9f0b9fd">
					<printWhenExpression><![CDATA[$F{anwesend}.startsWith("1")]]></printWhenExpression>
				</reportElement>
				<dataSourceExpression><![CDATA[$P{P_SQLEXEC}.subreport(
"select C_INVENTARNUMMER, PERS_MASCHINENZEITDATEN.T_VON from PERS_MASCHINE "+
"inner join PERS_MASCHINENZEITDATEN on PERS_MASCHINE.I_ID = PERS_MASCHINENZEITDATEN.MASCHINE_I_ID "+
"where PERS_MASCHINENZEITDATEN .PERSONAL_I_ID_GESTARTET = "+
"(select I_ID from PERS_PERSONAL where C_PERSONALNR = '"+$F{Personalnummer}+"' and MANDANT_C_NR='"+$P{P_MANDANT_OBJ}.getMandantCNr()+"') and PERS_MASCHINENZEITDATEN.T_BIS is null;",
new String[] {"C_INVENTARNUMMER", "T_VON"})]]></dataSourceExpression>
				<subreportExpression><![CDATA[new java.io.File($P{REPORT_DIRECTORY}+"pers_laufende_maschinen.jasper").toURL()]]></subreportExpression>
			</subreport>
			<subreport>
				<reportElement key="Subreport_offene Zeitverteilung" positionType="Float" x="355" y="18" width="100" height="6" isRemoveLineWhenBlank="true" uuid="f3bfe14c-e83e-4816-9498-bf2809c502ae">
					<printWhenExpression><![CDATA[true || $F{anwesend}.startsWith("1")]]></printWhenExpression>
				</reportElement>
				<dataSourceExpression><![CDATA[$P{P_SQLEXEC}.subreport(
"select fert_los.c_nr, pers_maschine.c_inventarnummer, pers_zeitverteilung.t_zeit from pers_zeitverteilung "+
"inner join fert_los on fert_los.i_id=pers_zeitverteilung.los_i_id "+
"inner join pers_maschine on pers_maschine.i_id=pers_zeitverteilung.maschine_i_id "+
"where b_verteilt = 0 "+
"and personal_i_id=(select I_ID from PERS_PERSONAL where C_PERSONALNR = '"+$F{Personalnummer}+"' and MANDANT_C_NR='"+$P{P_MANDANT_OBJ}.getMandantCNr()+"');",
new String[] {"los_nr", "C_INVENTARNUMMER", "t_zeit"})]]></dataSourceExpression>
				<subreportExpression><![CDATA[new java.io.File($P{REPORT_DIRECTORY}+"pers_offene_zeitverteilung.jasper").toURL()]]></subreportExpression>
			</subreport>
		</band>
		<band height="12">
			<printWhenExpression><![CDATA[Integer.parseInt($F{anwesend}) >= 4]]></printWhenExpression>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement mode="Transparent" x="-20" y="0" width="20" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="464504f5-794d-4dbf-9ecb-910e25d9cfd6">
					<printWhenExpression><![CDATA[false]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{anwesend}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="80" y="0" width="30" height="12" uuid="2a21ce1f-7c49-4575-b8e5-b414f0f1eb6d"/>
				<textElement>
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Personalnummer}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="110" y="0" width="115" height="12" uuid="673f158b-8701-4c75-82b7-83abdbe0e14a"/>
				<textElement>
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Name}.replace("Frau ","").replace("Herr ","")]]></textFieldExpression>
			</textField>
		</band>
	</detail>
</jasperReport>
